import request from '@/utils/request'

export function list(query) {
  return request({
    url: '/control/lawPartMiddle/list',
    method: 'post',
    data: query,
  })
}
export function moveUp(id) {
  return request({
    url: `/control/lawPartMiddle/up/${id}`,
    method: 'put',
  })
}
export function moveDown(id) {
  return request({
    url: `/control/lawPartMiddle/down/${id}`,
    method: 'put',
  })
}
export function addMiddle(data) {
  return request({
    url: '/control/lawPartMiddle',
    method: 'post',
    data: data,
  })
}
export function updateMiddle(data) {
  return request({
    url: '/control/lawPartMiddle',
    method: 'put',
    data: data,
  })
}
// 删除国际法规与关键件对应数据维护类型描述
export function delMiddle(id) {
  return request({
    url: '/control/lawPartMiddle/' + id,
    method: 'delete',
  })
}
export function InternationalParts(query) {
  return request({
    url: '/control/baseInternationalKeyComponentsDetail/getCriticalPartName',
    method: 'get',
    data: query,
  })
}
